.uudai-container {

    ion-searchbar {
        padding: 0px;
    }

    .uudai-list {
        .uudai-item {

            .uudai-info {
                width: 100%;
                display: flex;
                flex-direction: column;
                justify-content: flex-start;
                padding: 10px 0px;

                .times {
                    margin: 0px;
                    font-size: 90% !important;

                    &.important{
                        color: #b62831;
                    }
                }
            }

            .title {
                font-weight: 600;
                margin-bottom: 5px;
                margin-top: 0px;
                max-height: 2.8em;
                line-height: 1.4em;
                overflow: hidden;
            }

            ion-thumbnail {
                width: 84px;
            }

            .ma-uudai-content {
                display: flex;
                flex-wrap: wrap;
                align-items: center;
                margin-bottom: 5px;
                .ma-uu-dai {
                    display: block;
                    margin: 0px;
                    
                }

                .copy{
                    color: #999;
                    margin-left: 10px;
                    margin-right: auto;
                }

                .link {
                    display: block;
                    margin-left: auto;
                    color: var(--ion-color-secondary);
                }
            }
        }
    }
}



.uudai-detail {
    .title {
        width: 100%;
        font-size: 120%;
        text-align: center;
    }

    .link {
        color: var(--ion-color-secondary);
    }

    .uudai-detail-info {
        ion-label {
            &:first-child {
                border-right: 1px solid #ccc;
            }

        }
    }

    .point-value {
        font-size: 150%;
        color: var(--ion-color-secondary);
    }

    .uudai-detail-header{
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}


.box-nhap-uudai {
    width: 100%;
    display: flex;
    align-items: center;

    position: relative;
    overflow: hidden;
    margin-bottom: 10px;

    ion-input {
        border: 1px solid #ccc;
        border-radius: 5px;
        height: 36px;
        margin-right: 10px;
        --padding-start: 10px !important;

        input {
            padding-right: 50px !important;
        }
    }

    ion-button {
        margin: 0px !important;
        border-radius: 0px;
    }

    .label-check-uudai,
    .xoa-uudai {
        display: block;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        z-index: 100;
    }

    .xoa-uudai {
        color: #b62831;
        right: 10px;
    }

    .label-check-uudai {
        color: #fff;
        left: 10px;
        background-color: #0ca940;
        width: 25px;
        height: 25px;
        border-radius: 50%;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 10px;
    }

    &.active {
        ion-input {
            margin-right: 0px !important;

            input {
                padding-left: 50px !important;
            }
        }
    }
}

.btn-ma-uudai {
    font-size: 120%;
    margin: 0px !important;
    color: var(--ion-color-secondary);
}

.fixed-bottom-total {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    font-size: 120%;
    padding: 5px 2px;

    .title {
        font-weight: 600;
        font-size: 120%;
        margin: 0px;
    }

    .detail {
        display: flex;
        flex-direction: column;
        align-items: flex-end;

        .total {
            font-weight: 600;
            font-size: 120%;
            margin: 0px;
        }

        .discout {
            font-size: 89%;
            text-decoration: line-through;
        }
    }
}

.tabs-uudai{
    position: sticky;
    top: 0px;
    z-index: 100;
    background-color: #fff;
}

.label-isused{
    color: $primary;
    font-style: italic;
}